
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Nothing is printed in the console when setting data set handler
 * <p>
 * <b>Test description</b>
 * <p>
 * This test makes sure that someting is printed in the console when setting
 * data set handler
 */
public class Regression_119009 extends EngineCase
{

	private final static String INPUT = "regression_119009.rptdesign";
	private final static String OUTPUT = "regression_119009.html";

	public void test_Regression_119009( ) throws Exception
	{

		runAndRender_HTML( INPUT, OUTPUT );
		assertEquals( Boolean.TRUE, super.engineTask.getAppContext( ).get(
				"beforeOpen" ) );
		assertEquals( Boolean.TRUE, super.engineTask.getAppContext( ).get(
				"afterOpen" ) );
		assertEquals( Boolean.TRUE, super.engineTask.getAppContext( ).get(
				"onFetch" ) );
		assertEquals( Boolean.TRUE, super.engineTask.getAppContext( ).get(
				"beforeClose" ) );
		assertEquals( Boolean.TRUE, super.engineTask.getAppContext( ).get(
				"afterClose" ) );
	}
}